Bug 2734 - не видны \'атомы\'
: не видны \'атомы\'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdegames-katomic)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-07-05 18:42 by
Modified: 2005-09-01 11:30 (History)


Attachments
0002734-katomic.png (3.40 KB, image/png)
2003-07-05 18:42, Suricata
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-05 18:42:18
программа стартует, но игровое поле черное, атомов нет.
kdegames-katomic-3.1.2-alt2
---

---
Начиная с какой версии это появилось, я не могу сказать точно, но видимо,
проблема в самых последних. Пробовал скомпилировать из kdegames-katomic-devel -
результат тот же. Как это выглядит можно посмотреть на картинке, которую я
прикладываю к этому сообщению
------- Comment #1 From 2003-07-06 19:18:44 -------
Возможно, проблема в неправильном использовании функции BarIcon в файлах
molek.cpp и feld.cpp. Если вместо нее использовать new
QPixmap(locate(\"appdata\",\"pics/file.png\")) , то все
начинает работать нормально. Я себе скомпилировал работающую версию. Я ничего в
программировании не понимаю, но если нужны исправленные файлы с удовольствием
отдам, если кому нужно.
------- Comment #2 From 2003-07-06 19:18:44 -------
Возможно, проблема в неправильном использовании функции BarIcon в файлах
molek.cpp и feld.cpp. Если вместо нее использовать new
QPixmap(locate(\"appdata\",\"pics/file.png\")) , то все
начинает работать нормально. Я себе скомпилировал работающую версию. Я ничего в
программировании не понимаю, но если нужны исправленные файлы с удовольствием
отдам, если кому нужно.
------- Comment #3 From 2003-07-07 12:26:07 -------
Кстати, я вообще думал убрать этот подпакет как и KBounce,
т.к. у нас есть icebreaker и marbles, не привязанные к KDE.
Что скажете?
------- Comment #4 From 2003-07-07 12:26:07 -------
Кстати, я вообще думал убрать этот подпакет как и KBounce,
т.к. у нас есть icebreaker и marbles, не привязанные к KDE.
Что скажете?
------- Comment #5 From 2003-07-07 13:20:44 -------
Я скажу, что KDE мне не особенно нравится и в Katomic я не играю, но это не
значит, что в него не играют другие. Мне кажется, что если мы хотим, чтобы
Линуксом пользовались не только системные администраторы и прочия продвинутые
юноши, а домохозяйки и дети, как в моем случае, то причина для удаления пакета
должна быть веской.
Вот ссылка на этот баг на kde.org -&gt; <a
href="http://bugs.kde.org/show_bug.cgi?id=55734">http://bugs.kde.org/show_bug.cgi?id=55734</a>
Оказывается, этот Katomic нужен кому-то. Пока я лазил по интернету в поисках
работающей версии, мне не раз попадались записи \&quot;than you for
katomic\&quot;.

Для себя я проблему решил, у меня Katomic будет стоять. Исправить в исходных
файлах надо всего чуть-чуть. Вот здесь оно лежит - <a
href="http://index.msk.ru/tmp/kdegames-3.1.2-katomic-hack.tar.gz">http://index.msk.ru/tmp/kdegames-3.1.2-katomic-hack.tar.gz</a>
------- Comment #6 From 2003-07-07 13:20:44 -------
Я скажу, что KDE мне не особенно нравится и в Katomic я не играю, но это не
значит, что в него не играют другие. Мне кажется, что если мы хотим, чтобы
Линуксом пользовались не только системные администраторы и прочия продвинутые
юноши, а домохозяйки и дети, как в моем случае, то причина для удаления пакета
должна быть веской.
Вот ссылка на этот баг на kde.org -&gt; <a
href="http://bugs.kde.org/show_bug.cgi?id=55734">http://bugs.kde.org/show_bug.cgi?id=55734</a>
Оказывается, этот Katomic нужен кому-то. Пока я лазил по интернету в поисках
работающей версии, мне не раз попадались записи \&quot;than you for
katomic\&quot;.

Для себя я проблему решил, у меня Katomic будет стоять. Исправить в исходных
файлах надо всего чуть-чуть. Вот здесь оно лежит - <a
href="http://index.msk.ru/tmp/kdegames-3.1.2-katomic-hack.tar.gz">http://index.msk.ru/tmp/kdegames-3.1.2-katomic-hack.tar.gz</a>
------- Comment #7 From 2003-07-07 14:48:15 -------
Ок, как скажете. Спасибо за файлы.
------- Comment #8 From 2003-07-07 14:48:15 -------
Ок, как скажете. Спасибо за файлы.
------- Comment #9 From 2003-07-10 22:09:19 -------
fixed in kdelibs-3.1.2-alt7
------- Comment #10 From 2003-07-10 22:09:19 -------
fixed in kdelibs-3.1.2-alt7
------- Comment #11 From 2003-09-24 12:24:03 -------
reassign 2 zerg@altlinux.org